Bug 137825 - "set host-charset" should support utf8
"set host-charset" should support utf8
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-01 15:49 EST by Jay Fenlason
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 11:26:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2004-11-01 15:49:54 EST
Description of problem: 
displaying utf8 strings in gdb is unpleasant because it only support "ASCII" 
and "ISO-8859-1" 
 
Version-Release number of selected component (if applicable): 
gdb-6.1post-1.20040607.41 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. show host-charset <tab> 
2. 
3. 
   
Actual results: 
 
 
Expected results: 
 
 
Additional info:
Comment 1 Andrew Zabolotny 2005-07-22 15:36:56 EDT
In fact, gdb from FC3 supports ONLY character sets ASCII and ISO-8859-1 which is
quite annoying for anybody using other character sets. To see which character
sets are supported, launch gdb then enter:

(gdb) set charset <TAB><TAB>

(where <TAB> means pressing the TAB key) and gdb will display a list of
supported charsets:

ASCII       ISO-8859-1  
Comment 2 Matthew Miller 2006-07-10 16:48:01 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 11:26:42 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.